Package org.opensaml.saml.saml2.metadata.impl

# Class EntitiesDescriptorImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.metadata.impl.EntitiesDescriptorImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `CacheableSAMLObject`, `TimeBoundSAMLObject`, `EntitiesDescriptor`, `SignableXMLObject`

public class EntitiesDescriptorImpl extends AbstractSignableSAMLObject implements EntitiesDescriptor
Concrete implementation of `EntitiesDescriptor`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Duration`
`cacheDuration`
cacheDurection attribute.
`private Extensions`
`extensions`
Extensions child.
`private String`
`id`
ID attribute.
`private String`
`name`
Name of this descriptor group.
`private final IndexedXMLObjectChildrenList<SAMLObject>`
`orderedDescriptors`
Ordered set of child Entity/Entities Descriptors.
`private Instant`
`validUntil`
validUntil attribute.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.EntitiesDescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ELEMENT_QNAME, ID_ATTRIB_NAME, NAME_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EntitiesDescriptorImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Duration`
`getCacheDuration()`
Gets the maximum time that this descriptor should be cached.
`List<EntitiesDescriptor>`
`getEntitiesDescriptors()`
Gets a list of child `EntitiesDescriptor`s.
`List<EntityDescriptor>`
`getEntityDescriptors()`
Gets a list of child `EntityDescriptor`s.
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`String`
`getID()`
Gets the ID of this entity group.
`String`
`getName()`
Gets the name of this entity group.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSignatureReferenceID()`
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.
`Instant`
`getValidUntil()`
Gets the date until which this descriptor is valid.
`boolean`
`isValid()`
Checks to see if the current time is past the validUntil time.
`void`
`setCacheDuration(Duration duration)`
Sets the maximum time that this descriptor should be cached.
`void`
`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.
`void`
`setID(String newID)`
Sets the ID of this entity group.
`void`
`setName(String newName)`
Sets the name of this entity group.
`void`
`setValidUntil(Instant newValidUntil)`
Sets the date until which this descriptor is valid.

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### name

@Nullable private String name
Name of this descriptor group.

### id

@Nullable private String id
ID attribute.

### validUntil

@Nullable private Instant validUntil
validUntil attribute.

### cacheDuration

@Nullable private Duration cacheDuration
cacheDurection attribute.

### extensions

@Nullable private Extensions extensions
Extensions child.

### orderedDescriptors

@Nonnull private final IndexedXMLObjectChildrenList<SAMLObject> orderedDescriptors
Ordered set of child Entity/Entities Descriptors.

## Constructor Details

### EntitiesDescriptorImpl

protected EntitiesDescriptorImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getName

@Nullable public String getName()
Gets the name of this entity group.

Specified by:
  `getName` in interface `EntitiesDescriptor`
Returns:
  the name of this entity group

### setName

public void setName(@Nullable String newName)
Sets the name of this entity group.

Specified by:
  `setName` in interface `EntitiesDescriptor`
Parameters:
  `newName` - the name of this entity group

### getID

@Nullable public String getID()
Gets the ID of this entity group.

Specified by:
  `getID` in interface `EntitiesDescriptor`
Returns:
  the id of this entity group

### setID

public void setID(@Nullable String newID)
Sets the ID of this entity group.

Specified by:
  `setID` in interface `EntitiesDescriptor`
Parameters:
  `newID` - the ID of this entity group

### isValid

public boolean isValid()
Checks to see if the current time is past the validUntil time.

Specified by:
  `isValid` in interface `TimeBoundSAMLObject`
Returns:
  true of this descriptor is still valid otherwise false

### getValidUntil

@Nullable public Instant getValidUntil()
Gets the date until which this descriptor is valid.

Specified by:
  `getValidUntil` in interface `TimeBoundSAMLObject`
Returns:
  the date until which this descriptor is valid

### setValidUntil

public void setValidUntil(@Nullable Instant newValidUntil)
Sets the date until which this descriptor is valid.

Specified by:
  `setValidUntil` in interface `TimeBoundSAMLObject`
Parameters:
  `newValidUntil` - the date until which this descriptor is valid

### getCacheDuration

@Nullable public Duration getCacheDuration()
Gets the maximum time that this descriptor should be cached.

Specified by:
  `getCacheDuration` in interface `CacheableSAMLObject`
Returns:
  the maximum time that this descriptor should be cached

### setCacheDuration

public void setCacheDuration(@Nullable Duration duration)
Sets the maximum time that this descriptor should be cached.

Specified by:
  `setCacheDuration` in interface `CacheableSAMLObject`
Parameters:
  `duration` - the maximum time that this descriptor should be cached

### getExtensions

@Nullable public Extensions getExtensions()
Gets the Extensions child of this object.

Specified by:
  `getExtensions` in interface `EntitiesDescriptor`
Returns:
  the Extensions child of this object

### setExtensions

public void setExtensions(@Nullable Extensions newExtensions)
Sets the Extensions child of this object.

Specified by:
  `setExtensions` in interface `EntitiesDescriptor`
Parameters:
  `newExtensions` - the Extensions child of this object

### getEntitiesDescriptors

@Nonnull @Live public List<EntitiesDescriptor> getEntitiesDescriptors()
Gets a list of child `EntitiesDescriptor`s.

Specified by:
  `getEntitiesDescriptors` in interface `EntitiesDescriptor`
Returns:
  list of descriptors

### getEntityDescriptors

@Nonnull @Live public List<EntityDescriptor> getEntityDescriptors()
Gets a list of child `EntityDescriptor`s.

Specified by:
  `getEntityDescriptors` in interface `EntitiesDescriptor`
Returns:
  list of child descriptors

### getSignatureReferenceID

public String getSignatureReferenceID()
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.

Specified by:
  `getSignatureReferenceID` in interface `SignableSAMLObject`
Returns:
  the value of this SAMLObject ID attribute

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements